Loading...
Searching...
No Matches
mbedtls_x509_subject_alternative_name Struct Reference
X.509 module

`#include <x509_crt.h>`

Collaboration diagram for mbedtls_x509_subject_alternative_name:
[legend]

## Data Fields

int | type
union { |
mbedtls_x509_san_other_name other_name |
mbedtls_x509_buf unstructured_name |
} | san |

## Detailed Description

A structure for holding the parsed Subject Alternative Name, according to type

Definition at line 121 of file x509_crt.h.

## Field Documentation

## other_name

mbedtls_x509_san_other_name mbedtls_x509_subject_alternative_name::other_name

The otherName supported type.

Definition at line 124 of file x509_crt.h.

## [union]

union { ... } mbedtls_x509_subject_alternative_name::san

A union of the supported SAN types

## type

int mbedtls_x509_subject_alternative_name::type

The SAN type, value of MBEDTLS_X509_SAN_XXX.

Definition at line 122 of file x509_crt.h.

## unstructured_name

mbedtls_x509_buf mbedtls_x509_subject_alternative_name::unstructured_name

The buffer for the un constructed types. Only dnsName currently supported

Definition at line 125 of file x509_crt.h.

The documentation for this struct was generated from the following file:

- x509_crt.h